<div id="heading">
<h1 align="center" style="color:#a67c00"><strong>
    E2E Web and API Automation Using Playwright and Typescript</strong>
</h1>
<p align="center" style="font-size:10px; color:#a67c00;">[By Moxe Tibane and Ronald Ncube]</p>
</div>
<h3 align="center" style="color:#566573"><strong>Welcome to the All-In-One next generation of UI Automation</strong></h3>
<h2 style="color:#a67c00"><strong>The benefits of this framework include</strong></h2>
<!-- <div style="border:solid #a67c00 2px; width:500px; border-radius:10px; margin-left:100px;"> -->
<hr color="#a67c00">
<p style="color:#566573">	&#x1F3C6; In-built Cucumber Integration</p>
<p style="color:#566573">&#x1F3C6; In-built Azure Test Plans Integration</p>
<p style="color:#566573">&#x1F3C6; In-built Azure Pipelines</p>
<p style="color:#566573">&#x1F3C6;In-built Azure Test Coverage and Execution Dashboard</p>
<p style="color:#566573">&#x1F3C6; In-built Cucumber Report</p>
<!-- </div> -->
<h2 style="color:#a67c00" id="top"><strong>Table of contents</strong></h2>
<hr color="#a67c00">
<p><a href="#general" style="font-size:14px">Pre-requisites</a></p>
<p><a href="#setup" style="font-size:14px">Setup</a></p>
<p><a href="#execute" style="font-size:14px">Executing Tests</a></p>
<p><a href="#additional" style="font-size:14px">Additional Info</p></a>
<div id="back-to-top" style="float:right">
<a href="#top" style="color:#566573">Back to Top</a>
</div>

<h2 style="color:#a67c00"><strong>Pre-requisites to running playwright</strong></h2>
<hr color="#a67c00">
<p>Before you can run with Playwright, you will need the following installed in your machine</p>

<p><li>A code editor of your choice</li></p>
<p style="margin-left:20px">Most Engineers use VS Code <a href="https://code.visualstudio.com/download" target="_blank" >VS Code</a></p>
<p><li>Node JS (At least version 14.17.0)</li></p>
<p style="margin-left:20px">To check if node is install run the command: <b style="color:#a67c00">node -v</b></p>
<p style="margin-left:20px">If node is installed in your machine, your will get the following: 
<br>
<br>
<img src="https://dev.azure.com/investec/client-channel-tech/_git/digital-quality-engineering?path=files/node_check.png" alt="node versio installation"/>
</p>
<p style="margin-left:20px">Else install Node from the following link <a href="https://nodejs.org/en" target="_blank" >NodeJs</a></p>
<div id="back-to-top" style="float:right">
<a href="#top" style="color:#566573">Back to Top</a>
</div>


<h2 style="color:#a67c00" id="setup"><strong>Setup</strong></h2>
<hr color="#a67c00">
<p><li>Clone this repo to the location of your choice</li></p>
<p><li>Create a file called .env.secrets in the root of the project.</li></p>
<p><li>Create a file called .env.secrets in the root of the project.</li></p>
<p style="margin-left:20px">Generate a PAT file in Azure. Steps to generate a PAT File</p>
<p style="margin-left:20px">Update your .env.secrets with your PAT file as follows</p>
<p style="margin-left:20px">PAT=<b style="color:#a67c00">[Your base 64 PAT token here]</b></p>
<p><li>Add your test credentials to the .env.secrets as follows</li></p>
<p style="margin-left:20px">TEST_GENERIC_USERNAME=<b style="color:#a67c00">[Your username here]</b></p>
<p style="margin-left:20px">TEST_GENERIC_PASSWORD=<b style="color:#a67c00">[Your password here]</b></p>
<div id="back-to-top" style="float:right">
<a href="#top" style="color:#566573">Back to Top</a>
</div>

<h2 style="color:#a67c00" id="execute"><strong>Executing your test scripts</strong></h2>
<hr color="#a67c00">
<p>Since the test are written in Cucumber, we need a test runneer that can interpret the tests.<p>
<p>The test runner that is used in this framework is CucummberJs which is fairly easy to use></p>
<p>To run the tests, you simply need to:</p>
<ol>
<p><li>Open your code editor's terminal from the root of your project</li></p>
<p><li>Run the command: <b style="color:#a67c00">npm install</b> and wait for the installation</li></p>
<p><li>Now it is time to run the tests. Simply run the command:  <b style="color:#a67c00">npm run test:chrome:stg "@SampleTests"</b></li></p>
</ol>
<div id="back-to-top" style="float:right">
<a href="#top" style="color:#566573">Back to Top</a>
</div>

<h2 style="color:#a67c00" id="additional"><strong>Additional Info</strong></h2>
<hr color="#a67c00">
<p>If you have any issues following this guide, please reach out to Moxe Tibane or Ronald Ncube on Teams; they will definitely sort you out.</p>
<p> Happy Testing &#128516</p>
<hr color="#566573">
<div id="back-to-top" style="float:right; justify-content:space-between;">
<a href="#top" style="color:#566573">Back to Top</a>
</div>
<p align="center">Copyright reserved &copy 2023</p>
