"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.config = void 0;
require("dotenv").config();
var urls_config_1 = require("./urls-config");
var browser_config_1 = require("./browser-config");
var headless = process.env.HEADLESS;
var browserOptions = {
    slowMo: Number(process.env.SLOW_MO) || 50,
    headless: (headless === null || headless === void 0 ? void 0 : headless.toUpperCase()) === "Y" ? true : false,
    args: ["--use-fake-ui-for-media-stream", "--use-fake-device-for-media-stream"],
    firefoxUserPrefs: {
        "media.navigator.streams.fake": true,
        "media.navigator.permission.disabled": true,
    },
};
exports.config = {
    browser: browser_config_1.browserName[process.env.ENV] || "chromium",
    browserOptions: browserOptions,
    BASEURL: urls_config_1.baseUrl[process.env.ENV],
    IMG_THRESHOLD: { threshold: 0.4 },
    reporter: [['junit', { outputFile: 'results.xml' }]],
    expect: { timeout: 5000 },
};
